For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog inStart for free
  • Overview
    • What is an API definition?
    • Project structure
      • Overview
      • Authentication
      • Types
        • Overview
        • HTTP JSON endpoints
        • Multipart form uploads
        • Bytes
        • Server-sent events
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
Book a demoLog inStart for free
On this page
  • List of files
Fern DefinitionEndpoints

Multipart file upload

||View as Markdown|
Was this page helpful?
Edit this page
Previous

HTTP JSON Endpoints

Next

Binary data and files

Fern Definition isn’t recommended for new customers and Fern isn’t accepting feature requests for this format. It remains supported for existing users.

Endpoints in Fern are defined underneath the endpoints key. If your endpoint request includes file uploads, you can use the file type to indicate the request is of a multiform content type. The example below demonstrates an endpoint which includes a file in the request body.

document.yml
1service:
2 base-path: /documents
3 auth: false
4 endpoints:
5 uploadDocument:
6 path: /upload
7 method: POST
8 request:
9 name: UploadDocumentRequest
10 body:
11 properties:
12 file: file

Within a given multipart request, a string parameter with format:binary will represent an arbitrary file.

List of files

If your endpoint supports a list of files, then your request body must indicate such.

document.yml
1service:
2 base-path: /documents
3 auth: false
4 endpoints:
5 uploadDocuments:
6 path: /upload
7 method: POST
8 request:
9 name: UploadDocumentsRequest
10 body:
11 properties:
12 files: list<file>